Credits - Get

The credit summary by billingAccountId and billingProfileId.

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountId}/billingProfiles/{billingProfileId}/providers/Microsoft.Consumption/credits/balanceSummary?api-version=2024-08-01

URI Parameters

Name In Required Type Description
billingAccountId
path True

string

BillingAccount ID

billingProfileId
path True

string

Azure Billing Profile ID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

CreditSummary

Azure operation completed successfully.

204 No Content

Operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

CreditSummaryByBillingProfile

Sample request

GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/1234:5678/billingProfiles/2468/providers/Microsoft.Consumption/credits/balanceSummary?api-version=2024-08-01

Sample response

{
  "name": "balanceSummary1",
  "type": "Microsoft.Consumption/credits/balanceSummary",
  "id": "/providers/Microsoft.Billing/billingAccounts/1234:5678/billingProfiles/2468/providers/Microsoft.Consumption/credits/balanceSummary1",
  "properties": {
    "balanceSummary": {
      "currentBalance": {
        "currency": "USD",
        "value": 100
      },
      "estimatedBalance": {
        "currency": "USD",
        "value": 600
      }
    },
    "billingCurrency": "USD",
    "creditCurrency": "USD",
    "expiredCredit": {
      "currency": "USD",
      "value": 0
    },
    "isEstimatedBalance": false,
    "pendingCreditAdjustments": {
      "currency": "USD",
      "value": 500
    },
    "pendingEligibleCharges": {
      "currency": "USD",
      "value": 0
    },
    "reseller": {
      "resellerDescription": "Reseller information.",
      "resellerId": "/providers/Microsoft.Billing/billingAccounts/1234:5678/billingProfiles/2468/providers/Microsoft.Consumption/reseller/reseller1"
    }
  }
}

Definitions

Name Description
amount

The amount plus currency .

AmountWithExchangeRate

The amount with exchange rate.

createdByType

The type of identity that created the resource.

CreditBalanceSummary

Summary of credit balances.

CreditSummary

A credit summary resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

Reseller

The reseller properties.

systemData

Metadata pertaining to creation and last modification of the resource.

amount

The amount plus currency .

Name Type Description
currency

string

Amount currency.

value

number (decimal)

Amount.

AmountWithExchangeRate

The amount with exchange rate.

Name Type Description
currency

string

Amount currency.

exchangeRate

number (decimal)

The exchange rate.

exchangeRateMonth

integer (int32)

The exchange rate month.

value

number (decimal)

Amount.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

CreditBalanceSummary

Summary of credit balances.

Name Type Description
currentBalance

amount

Current balance.

estimatedBalance

amount

Estimated balance.

estimatedBalanceInBillingCurrency

AmountWithExchangeRate

Estimated balance in billing currency.

CreditSummary

A credit summary resource.

Name Type Description
eTag

string

eTag of the resource. To handle concurrent update scenario, this field will be used to determine whether the user is updating the latest version or not.

id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties.balanceSummary

CreditBalanceSummary

Summary of balances associated with this credit summary.

properties.billingCurrency

string

The billing currency.

properties.creditCurrency

string

The credit currency.

properties.eTag

string

The eTag for the resource.

properties.expiredCredit

amount

Expired credit.

properties.isEstimatedBalance

boolean

If true, the listed details are based on an estimation and it will be subjected to change.

properties.pendingCreditAdjustments

amount

Pending credit adjustments.

properties.pendingEligibleCharges

amount

Pending eligible charges.

properties.reseller

Reseller

Credit's reseller.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

A list of Tag.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

Reseller

The reseller properties.

Name Type Description
resellerDescription

string

The reseller property description.

resellerId

string

The reseller property ID.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.